> For the complete documentation index, see [llms.txt](https://apidocs.cloudinvoice.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.cloudinvoice.net/documentacao-api/series-de-documentos/numeracoes/list.md).

# List

## Lista das Linhas do Documento

## Fornece uma Lista das linhas do documento.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/documents/:doc_id/details/`

Nesta lista estão incluídas as seguintes naturezas: Facturas, Facturas-Recibo, Facturas-Simplificadas, Notas de Crédito e Notas de Débito.

#### Path Parameters

| Name    | Type    | Description     |
| ------- | ------- | --------------- |
| doc\_id | integer | ID do Documento |

#### Query Parameters

| Name   | Type    | Description                                                                                             |
| ------ | ------- | ------------------------------------------------------------------------------------------------------- |
| limit  | integer | Define o número de linhas por pesquisa.                                                                 |
| offset | integer | Indica a posição inicial da pesquisa. Retorna a lista de linhas compreendida entre offset:offset+limit. |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/documents/1/details/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

```json
{
    "limit": 10,
    "offset": 0,
    "count": 2,
    "next": null,
    "previous": null,
    "results":[
        {
            "id": 1,
            "line_number": 1,
            "line_subitem": 0,
            "code": "001",
            "description": "Produto 1",
            "short_description": "Produto 1",
            "has_lots": false,
            "use_serial_number": false,
            "base_qty": 2.0,
            "global_discount1": 0.0,
            "line_discount1": 0.0,
            "line_discount2": 0.0,
            "line_discount3": 0.0,
            "total_gross_amount": 50.0,
            "total_discount_amount": 0.0,
            "total_net_amount": 47.1698113208,
            "total_taxes_amount": 2.8301886792,
            "line_unit_value": 25.0,
            "line_total_value": 50.0,
            "use_sizes_colors": false,
            "base_measure_unit_id": 1,
            "base_measure_unit":{"code": "UNI", "description": "Unidade"},
            "vat_tax_id": 3,
            "vat_tax":{"description": "Taxa Reduzida", "tax_rate": 6.0}
        },
        {
            "id": 2,
            "line_number": 2,
            "line_subitem": 0,
            "code": "002",
            "description": "Produto 2",
            "short_description": "Produto 2",
            "has_lots": false,
            "use_serial_number": false,
            "base_qty": 1.0,
            "global_discount1": 0.0,
            "line_discount1": 0.0,
            "line_discount2": 0.0,
            "line_discount3": 0.0,
            "total_gross_amount": 2.0,
            "total_discount_amount": 0.0,
            "total_net_amount": 1.8867924528,
            "total_taxes_amount": 0.1132075472,
            "line_unit_value": 2.0,
            "line_total_value": 2.0,
            "use_sizes_colors": false,
            "base_measure_unit_id": 18,
            "base_measure_unit":{"code": "ML", "description": "Mililitro"},
            "vat_tax_id": 3,
            "vat_tax":{"description": "Taxa Reduzida", "tax_rate": 6.0}
        }
    ]
}
```

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](/introducao/exemplos-de-pedidos.md)

{% hint style="info" %}
**Notas:** Alguns dos campos do termo de pesquisa geral poderão ser incluídos mediante critérios específicos (Ex: Descrição será incluída na pesquisa geral apenas se o termo de pesquisa contiver 3 ou mais caracteres). Por defeito, o comportamento expectável será obter-se todos os items cujo o texto a pesquisar (search) esteja CONTIDO em pelo menos um dos campos incluídos na pesquisa geral.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.cloudinvoice.net/documentacao-api/series-de-documentos/numeracoes/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
